%global par_name mahout
%global src_name %(s="%{name}-%{version}" ; echo $s | sed -e 's!-!_!g')

Name:		%{par_name}-collection-codegen-plugin
Version:	1.0
Release:	%mkrel 16
Summary:	Maven Mojo to generate code for Mahout Collections

Group:		Development/Java
License:	ASL 2.0
URL:		https://%{par_name}.apache.org/
Source0:	https://www.apache.org/dist/%{par_name}/%{name}-%{version}/%{src_name}_sources.jar
Source1:	https://www.apache.org/dist/%{par_name}/%{name}-%{version}/%{src_name}.pom

Patch0:		mahout-collection-codegen-plugin-1.0-mga-fix-for-new-FileSetManager.patch

BuildArch:	noarch

BuildRequires:	maven-local
BuildRequires:	mvn(org.apache:apache:pom:)
BuildRequires:	mvn(org.apache.maven:maven-plugin-api)
BuildRequires:	mvn(org.apache.maven:maven-project)
BuildRequires:	mvn(org.apache.maven.shared:file-management)
BuildRequires:	mvn(org.apache.velocity:velocity)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

Requires:	maven

%description
The Apache Mahout project's goal is to build a scalable machine
learning library.

This package contains the Maven plugin used to generate code
for Mahout Collections.


%package javadoc
Summary:	API documentation for %{name}

%description javadoc
This package provides the %{summary}.


%prep
%setup -Tqc
_TOPLEVEL=$(pwd)

# Prepare the sources
mkdir -p src/main/java
pushd src/main/java
%jar -xf %SOURCE0
cp -p META-INF/LICENSE META-INF/NOTICE ${_TOPLEVEL}
rm -rf META-INF
popd
find . -depth -type f -name '*.jar' -print0 | xargs -0 rm -f

%autopatch -p1

# Prepare maven pom.xml
install -pm0644 %{SOURCE1} pom.xml
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin . "
<configuration>
  <archive>
    <manifest>
      <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
      <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
    </manifest>
  </archive>
</configuration>"
%pom_add_plugin org.apache.maven.plugins:maven-plugin-plugin . "
<configuration>
  <skipErrorNoDescriptorsFound>true</skipErrorNoDescriptorsFound>
</configuration>"


%build
%mvn_file :%{name} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8


%install
%mvn_install


%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE


%changelog
* Tue May 28 2024 ns80 <ns80> 1.0-16.mga10
+ Revision: 2068531
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0-15.mga9
+ Revision: 1827351
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0-14.mga8
+ Revision: 1502007
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0-13.mga7
+ Revision: 1279374
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 daviddavid <daviddavid> 1.0-12.mga7
+ Revision: 1162119
- add BR apache-parent to fix build

* Sun May 21 2017 neoclust <neoclust> 1.0-11.mga6
+ Revision: 1103856
- Fix BuildRequires
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 1.0-9.mga6
+ Revision: 981360
- First rebuild of the java stack
- sync package mahout-collection-codegen-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 pterjan <pterjan> 1.0-8.mga5
+ Revision: 809263
- Fix release
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 749890
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 549399
- Mageia 4 Mass Rebuild
+ luigiwalser <luigiwalser>
- BR maven-local for mvn-rpmbuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 359302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 290718
- Build with maven

* Sat Nov 05 2011 gil <gil> 1.0-1.mga2
+ Revision: 163016
- imported package mahout-collection-codegen-plugin

